%{ /* ------------------------- pl0.l ------------------------------- */
   /* Jul. 1992. revised by M.Sassa */
#include "lex.c"
%}

%%
"/*".*"*/"	{ ECHO; }
begin		{ ECHO;	 return( BEGINN ); }
end		{ ECHO;	 return( END ); }
call		{ ECHO;	 return( CALL ); }
const		{ ECHO;	 return( CONST ); }
do		{ ECHO;	 return( DO ); }
if		{ ECHO;	 return( IF ); }
then		{ ECHO;	 return( THEN ); }
odd		{ ECHO;	 return( ODD ); }
procedure	{ ECHO;	 return( PROCEDURE ); }
read		{ ECHO;	 return( READ ); }
write		{ ECHO;	 return( WRITE ); }
writeln		{ ECHO;	 return( WRITELN ); }
var		{ ECHO;	 return( VAR ); }
while		{ ECHO;	 return( WHILE ); }
"+"		{ ECHO;	 return( PLUS ); }
"-"		{ ECHO;	 return( MINUS ); }
"*"		{ ECHO;	 return( TIMES ); }
"/"		{ ECHO;	 return( SLASH ); }
"="		{ ECHO;	 return( EQ ); }
"<>"		{ ECHO;	 return( NE ); }
"<"		{ ECHO;	 return( LT ); }
">"		{ ECHO;	 return( GT ); }
"<="		{ ECHO;	 return( LE ); }
">="		{ ECHO;	 return( GE ); }
"("		{ ECHO;	 return( LPAR ); }
")"		{ ECHO;	 return( RPAR ); }
":="		{ ECHO;	 return( COLEQ ); }
";"		{ ECHO;	 return( SEMI ); }
","		{ ECHO;	 return( COMMA ); }
"."		{ ECHO;	 return( DOT ); }
[a-z][0-9a-z]*	{ ECHO;	 rrlval.rrIDENT.id = strsave( yytext );
			 return( IDENT ); }
[0-9]+		{ ECHO;	 sscanf( yytext,"%d", &rrlval.rrNUMBER.val );
			 return( NUMBER ); }
[ \t]		{ ECHO; }
"\n"		{ ECHO; }
.		{ fprintf(stdout, "lexical error: '%s' omitted\n", yytext); }
