
%{
#define yywrap() 1
int     lineno ;
%}
%%

"+"             { return( PLUS ); }
"-"             { return( MINUS ); }
"*"             { return( ASTAR ); }
"("             { return( LPAR ); }
")"             { return( RPAR ); }
","             { return( COMMA ); }
";"             { return( SEMI ); }

[0-9]*     { sscanf(yytext,"%d",&rrlval.rrINT.val);
                  return( INT ) ; }

[ \t]           
"\n"            { lineno++; }
