/* header file for error functions  */

#ifndef _ERROR_H
#define _ERROR_H

#if (defined(__STDC__) || defined(__GNUC__))

extern void warning(char *,...);
extern void warning_with_line(int, char *,...);
extern void recovery(char *,...);
extern void recovery_noline(char *,...);
extern void recovery_with_line(int, char *,...);
extern void clear_recovery(void);
extern void barrier_recovery(void);
extern void internal(char *);


#else	/* not ANSI C nor GNU C  */

extern void warning();
extern void warning_with_line();
extern void recovery();
extern void recovery_noline();
extern void recovery_with_line();
extern void clear_recovery();
extern void barrier_recovery();
extern void internal();

#endif	/* not ANSI C nor GNU C  */

#endif	/* _ERROR_H  */
  
  	
