# Generated automatically from Makefile.in by configure.
# Makefile for bison
# Copyright (C) 1984, 1989, 1991 Bob Corbett and Free Software Foundation, Inc.
# 
# This file is part of Bison, the GNU Compiler Compiler.
# 
# Bison is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
# 
# Bison is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Bison; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

#### Start of system configuration section. ####

srcdir = .
VPATH = .

CC = gcc -O
#INSTALL = /bin/install -c
#INSTALL_PROGRAM = $(INSTALL)
#INSTALL_DATA = $(INSTALL) -m 644

# Things you might add to DEFS:
# -DSTDC_HEADERS	If you have ANSI C headers and libraries.
# -DHAVE_STRING_H	If you don't have ANSI C headers but have string.h.
# -DHAVE_MEMORY_H	If you don't have ANSI C headers and have memory.h.
# -DHAVE_STRERROR	If you have strerror function.

# -DLIBC_X68K           If you have "libc" libraly. (produced by PROJECT C Groups)
# -DNO_TWENTYONE	If you don't have Twentyone.x (produced by ExT(T.Kawamoto))
#                     "XXX.tab.c" and "XXX.tab.h" ->  "XXX_tab.c" and "XXX_tab.c"
DEFS = -DLIBC_X68K

#CFLAGS = -g $(DEFS)
CFLAGS = $(DEFS)
#LDFLAGS = -g
LDFLAGS =

#LIBS = -lfloateml        If you use "XC" libraly. (produced by SHARP Corp.)
LIBS =

# Some System V machines do not come with libPW.  If this is true, use
# the GNU alloca.o here.
#ALLOCA = gmalloc.o           If you use "XC" libraly. (produced by SHARP Corp.)
ALLOCA = 

prefix = \gcc
exec_prefix = $(prefix)

# where the installed binary goes
bindir = \gcc

# where the parsers go
datadir = $(prefix)\lib

# where the info files go
infodir = \usr\lib\nemacs\info

# where manual pages go and what their extensions should be
mandir = \usr\man\man$(manext)
manext = 1

#### End of system configuration section. ####

# This rule allows us to supply the necessary -D options
# in addition to whatever the user asks for.
#.c.o:
#	$(CC) -c $(DEFS) $(CPPFLAGS) $(CFLAGS) $<

# names of parser files
PFILE = bison_simple
PFILE1 = bison_hairy

# names of Rie parser files (override previous definition)
PFILE  = rie_simple
PFILE1 = rie_hairy

PFILES = -DXPFILE=\"$(datadir)\$(PFILE)\" \
	 -DXPFILE1=\"$(datadir)\$(PFILE1)\"

OBJECTS = LR0.o allocate.o closure.o conflicts.o derives.o files.o	\
	  getargs.o gram.o lalr.o lex.o					\
	  main.o nullable.o output.o print.o reader.o reduce.o symtab.o	\
	  warshall.o version.o						\
	  attribute.o check.o eclr.o error.o outputsem.o printsem.o     \
	  pure.o rie_version.o readsem.o stringmgr.o			\
	  getopt.o getopt1.o $(ALLOCA)

all0: rie bison.s1 $(PFILE) $(PFILE1)

all: bison bison.info bison.s1

# Copy bison.simple, inserting directory name into the #line commands.
bison.s1: bison_simple $(PFILE)
	rm -f bison.s1
#	sed -e "/^#line/ s|bison|$(datadir)\\rie|" < $(PFILE) > bison.s1
	cp $(PFILE) bison.s1

clean:
	rm -f *.o core bison.x bison.s1
	rm -f rie.x

mostlyclean: clean

distclean: clean
	rm -f Makefile config.status
	rm -f $(PFILE) $(PFILE1)	# for Rie

realclean: distclean
	rm -f TAGS *.info*

# Most of these deps are in case using RCS.
#install: all0 bison.1 $(srcdir)/$(PFILE) $(srcdir)/$(PFILE1)
#	$(INSTALL_PROGRAM) rie $(bindir)/rie
#	-cd $(datadir); rm -f $(PFILE) $(PFILE1)
#	$(INSTALL_DATA) ./bison.s1 $(datadir)/$(PFILE)
#	$(INSTALL_DATA) $(srcdir)/$(PFILE1) $(datadir)/$(PFILE1)
#	-chmod a+r $(datadir)/$(PFILE) $(datadir)/$(PFILE1) 
#	-$(INSTALL_DATA) $(srcdir)/bison.1 $(mandir)/bison.$(manext)
#	-chmod a+r $(mandir)/bison.$(manext)
#	cd $(srcdir); for f in bison.info*; \
#	do $(INSTALL_DATA) $$f $(infodir)/$$f; done

#uninstall:
#	rm -f $(bindir)/bison
#	-cd $(datadir); rm -f $(PFILE) $(PFILE1)
#	rm -f $(mandir)/bison.$(manext) $(infodir)/bison.info*

bison: $(OBJECTS)
	$(CC) $(LDFLAGS) -o $@ $(OBJECTS) $(LIBS)

rie: $(OBJECTS)
	$(CC) $(LDFLAGS) -o $@ $(OBJECTS) $(LIBS)

dist: bison.info
	echo bison-`sed -e '/version_string/!d' -e 's/[^0-9.]*\([0-9.]*\).*/\1/' -e q version.c` > .fname
	-rm -rf `cat .fname`
	mkdir `cat .fname`
	ln  COPYING ChangeLog Makefile.in configure configure.in \
	    REFERENCES bison.1 bison.rnh configure.bat \
	    bison.simple bison.hairy \
	    LR0.c allocate.c closure.c conflicts.c derives.c \
	    files.c getargs.c gram.c lalr.c lex.c main.c nullable.c \
	    output.c print.c reader.c reduce.c symtab.c version.c \
  	    attribute.c check.c eclr.c error.c out	putsem.c printsem.c \
	    pure.c rie-version.c readsem.c stringmgr.c \
	    attribute.h error.h pure.h stringmgr.h \
	    warshall.c files.h gram.h lex.h machine.h new.h state.h \
	    symtab.h system.h types.h bison.cld build.com vmsgetargs.c \
	    vmshlp.mar README INSTALL bison.texinfo bison.info* texinfo.tex \
	  `cat .fname`
	cp -p getopt.[ch] getopt1.c alloca.c `cat .fname`
	tar --gzip -chf `cat .fname`.tar.z `cat .fname`
	-rm -rf `cat .fname` .fname

$(PFILE): bison_simple
	cp bison_simple $(PFILE)

$(PFILE1): bison_hairy
	cp bison_hairy $(PFILE1)

TAGS: *.c *.h
	etags *.c *.h

#
files.o: files.c
LR0.o: system.h machine.h new.h gram.h state.h
closure.o: system.h machine.h new.h gram.h
conflicts.o: system.h machine.h new.h files.h gram.h state.h
derives.o: system.h new.h types.h gram.h
files.o: system.h files.h new.h gram.h
getargs.o: system.h files.h
lalr.o: system.h machine.h types.h state.h new.h gram.h
lex.o: system.h files.h symtab.h lex.h
main.o: system.h machine.h
nullable.o: system.h types.h gram.h new.h
output.o: system.h machine.h new.h files.h gram.h state.h
print.o: system.h machine.h new.h files.h gram.h state.h
reader.o: system.h files.h new.h symtab.h lex.h gram.h
reduce.o: system.h machine.h files.h new.h gram.h
symtab.o: system.h new.h symtab.h gram.h
warshall.o: system.h machine.h

output.o: error.h
reader.o: attribute.h error.h pure.h
symtab.o: stringmgr.h

attribute.o: attribute.h error.h gram.h new.h pure.h symtab.h system.h
check.o: attribute.h error.h pure.h symtab.h
eclr.o: attribute.h error.h files.h gram.h machine.h new.h pure.h state.h\
	system.h
error.o: attribute.h files.h system.h
outputsem.o: attribute.h files.h gram.h new.h pure.h symtab.h system.h
printsem.o: attribute.h error.h files.h gram.h new.h
pure.o: new.h pure.h symtab.h stringmgr.h system.h
readsem.o: attribute.h error.h files.h gram.h lex.h machine.h new.h pure.h\
	stringmgr.h symtab.h
stringmgr.o: new.h
